#include "instructionitem.h"

QString InstructionItem::toString(InstructionItem::InstructionType type)
{
	switch (type) {
	case INST_G:
		return QString("G");
	case INST_W1S:
	case INST_W2S:
	case INST_W5S:
	case INST_W10S:
	case INST_W20S:
		return QString("W");
	case INST_S:
		return QString("S");
	case INST_H:
		return QString("H");
	default:
		return QString("H");
	}
}

InstructionItem::InstructionItem(InstructionItem::InstructionType type) :
	QTreeWidgetItem((int)type)
{
	mNumber = 1;
	mType = type;
	mTypeString = InstructionItem::toString(type);

	switch (type) {
	case INST_G:
		mArguments = "90,45,180,180,90,10";
		break;
	case INST_W1S:
		mArguments = "1";
		break;
	case INST_W2S:
		mArguments = "2";
		break;
	case INST_W5S:
		mArguments = "5";
		break;
	case INST_W10S:
		mArguments = "10";
		break;
	case INST_W20S:
		mArguments = "20";
		break;
	default:
		mArguments = QString();
		break;
	}

	setData(0, Qt::DisplayRole, QVariant(mNumber));
	setData(1, Qt::DisplayRole, QVariant(mTypeString));
	setData(2, Qt::DisplayRole, QVariant(mArguments));
}

void InstructionItem::setNumber(int number)
{
	mNumber = number;
	setData(0, Qt::DisplayRole, QVariant(mNumber));
}

void InstructionItem::setArguments(QString arguments)
{
	mArguments = arguments;
	setData(2, Qt::DisplayRole, QVariant(mArguments));
}

QString InstructionItem::arguments()
{
	return mArguments;
}
