#ifndef INSTRUCTIONITEM
#define INSTRUCTIONITEM

#include <QTreeWidgetItem>
#include <QString>

#include <QObject>

class InstructionItem : public QTreeWidgetItem
{
public:
	typedef enum {
		INST_G = 0,
		INST_W1S = 1,
		INST_W2S = 2,
		INST_W5S = 3,
		INST_W10S = 4,
		INST_W20S = 5,
		INST_S = 6,
		INST_H = 7
	} InstructionType;

	static QString toString(InstructionType type);

	explicit InstructionItem(InstructionType type = INST_H);

	void setNumber(int number);
	void setArguments(QString arguments);

	QString arguments();

private:
	int mNumber;
	InstructionType mType;
	QString mTypeString;
	QString mArguments;

};

#endif // INSTRUCTIONITEM

